diff --git a/Plugins/SLACTools/pqSLACDataLoadManager.cxx b/Plugins/SLACTools/pqSLACDataLoadManager.cxx
index 3ba019c26b..52893d6855 100644
--- a/Plugins/SLACTools/pqSLACDataLoadManager.cxx
+++ b/Plugins/SLACTools/pqSLACDataLoadManager.cxx
@@ -36,6 +36,7 @@
 
 #include <QPushButton>
 #include <QtDebug>
+#include <QAction>
 
 class pqSLACDataLoadManager::pqUI : public Ui::pqSLACDataLoadManager
 {
diff --git a/Qt/ApplicationComponents/pqColorMapEditor.cxx b/Qt/ApplicationComponents/pqColorMapEditor.cxx
index 0395185e0a..dfc4e904db 100644
--- a/Qt/ApplicationComponents/pqColorMapEditor.cxx
+++ b/Qt/ApplicationComponents/pqColorMapEditor.cxx
@@ -60,6 +60,8 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include <QKeyEvent>
 #include <QPointer>
 #include <QVBoxLayout>
+#include <QStyle>
+
 
 class pqColorMapEditor::pqInternals
 {
diff --git a/Qt/ApplicationComponents/pqDoubleRangeSliderPropertyWidget.cxx b/Qt/ApplicationComponents/pqDoubleRangeSliderPropertyWidget.cxx
index 908e4598e0..b1014cdd2a 100644
--- a/Qt/ApplicationComponents/pqDoubleRangeSliderPropertyWidget.cxx
+++ b/Qt/ApplicationComponents/pqDoubleRangeSliderPropertyWidget.cxx
@@ -43,6 +43,8 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include "vtkSMUncheckedPropertyHelper.h"
 
 #include <QGridLayout>
+#include <QStyle>
+
 
 class pqDoubleRangeSliderPropertyWidget::pqInternals
 {
diff --git a/Qt/ApplicationComponents/pqStandardViewFrameActionsImplementation.cxx b/Qt/ApplicationComponents/pqStandardViewFrameActionsImplementation.cxx
index c297dc3d9e..501633f63a 100644
--- a/Qt/ApplicationComponents/pqStandardViewFrameActionsImplementation.cxx
+++ b/Qt/ApplicationComponents/pqStandardViewFrameActionsImplementation.cxx
@@ -69,6 +69,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include <QPushButton>
 #include <QSet>
 #include <QShortcut>
+#include <QStyle>
 
 //-----------------------------------------------------------------------------
 pqStandardViewFrameActionsImplementation::pqStandardViewFrameActionsImplementation(
diff --git a/Qt/ApplicationComponents/pqTimeInspectorWidget.cxx b/Qt/ApplicationComponents/pqTimeInspectorWidget.cxx
index 6774c2e48e..fedef0f601 100644
--- a/Qt/ApplicationComponents/pqTimeInspectorWidget.cxx
+++ b/Qt/ApplicationComponents/pqTimeInspectorWidget.cxx
@@ -53,6 +53,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include <QPainter>
 #include <QVariant>
 #include <QtDebug>
+#include <QHeaderView>
 
 namespace
 {
diff --git a/Qt/ApplicationComponents/pqTransferFunctionWidgetPropertyDialog.cxx b/Qt/ApplicationComponents/pqTransferFunctionWidgetPropertyDialog.cxx
index 55d3146447..de6ce48102 100644
--- a/Qt/ApplicationComponents/pqTransferFunctionWidgetPropertyDialog.cxx
+++ b/Qt/ApplicationComponents/pqTransferFunctionWidgetPropertyDialog.cxx
@@ -35,6 +35,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include "pqTransferFunctionWidgetPropertyWidget.h"
 #include "vtkPiecewiseFunction.h"
 #include <QString>
+#include <QDoubleValidator>
 
 class pqTransferFunctionWidgetPropertyDialog::pqInternals
 {
diff --git a/Qt/ApplicationComponents/pqViewResolutionPropertyWidget.cxx b/Qt/ApplicationComponents/pqViewResolutionPropertyWidget.cxx
index 6d2865431e..8d2c4b61cd 100644
--- a/Qt/ApplicationComponents/pqViewResolutionPropertyWidget.cxx
+++ b/Qt/ApplicationComponents/pqViewResolutionPropertyWidget.cxx
@@ -39,6 +39,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include "vtkSMProxy.h"
 
 #include <QIntValidator>
+#include <QStyle>
 
 class pqViewResolutionPropertyWidget::pqInternals
 {
diff --git a/Qt/Components/pqChangeInputDialog.cxx b/Qt/Components/pqChangeInputDialog.cxx
index 8a67b10095..06f10af66f 100644
--- a/Qt/Components/pqChangeInputDialog.cxx
+++ b/Qt/Components/pqChangeInputDialog.cxx
@@ -48,6 +48,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include <QItemSelectionModel>
 #include <QLineEdit>
 #include <QRadioButton>
+#include <QHeaderView>
 
 class pqChangeInputDialog::pqInternals : public Ui::pqChangeInputDialog
 {
diff --git a/Qt/Components/pqCinemaTrackSelection.cxx b/Qt/Components/pqCinemaTrackSelection.cxx
index 3d6d9dde19..c4a0dd5eca 100644
--- a/Qt/Components/pqCinemaTrackSelection.cxx
+++ b/Qt/Components/pqCinemaTrackSelection.cxx
@@ -30,6 +30,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 ========================================================================*/
 #include <QDebug>
+#include <QtWidgets>
 
 #include "vtkPVArrayInformation.h"
 #include "vtkPVDataInformation.h"
diff --git a/Qt/Python/pqPythonShell.cxx b/Qt/Python/pqPythonShell.cxx
index 3d01fd0a96..7cb356fbc4 100644
--- a/Qt/Python/pqPythonShell.cxx
+++ b/Qt/Python/pqPythonShell.cxx
@@ -61,6 +61,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include <QTextCharFormat>
 #include <QVBoxLayout>
 #include <QtDebug>
+#include <QtWidgets>
 
 QStringList pqPythonShell::Preamble;
 
